Generation Framework

## org.eclipse.gmf.tooldef
Interface Palette

All Superinterfaces:
  AbstractTool, EObject, Notifier, ToolContainer

All Known Implementing Classes:
  PaletteImpl

public interface Palette
extends ToolContainer

A representation of the model object 'Palette'.

The following features are supported:

- `Default`

See Also:
  `GMFToolPackage.getPalette()`
** Generated **
Model:

Method Summary
`AbstractTool` `getDefault()` Returns the value of the 'Default' reference
`void` `setDefault(AbstractTool value)` Sets the value of the '`Default`' reference

Methods inherited from interface org.eclipse.gmf.tooldef.ToolContainer
`getTools`

Methods inherited from interface org.eclipse.gmf.tooldef.AbstractTool
`getDescription, getLargeIcon, getSmallIcon, getTitle, setDescription, setLargeIcon, setSmallIcon, setTitle`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDefault

    public AbstractTool getDefault()

  Returns the value of the 'Default' reference.

  If the meaning of the 'Default' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default' reference.
  See Also:
    `Palette.setDefault(AbstractTool)`, `GMFToolPackage.getPalette_Default()`
  ** Generated **
  Model:

### setDefault

    public void setDefault(AbstractTool value)

  Sets the value of the '`Default`' reference.

  Parameters:
    `value` - the new value of the 'Default' reference.
  See Also:
    `Palette.getDefault()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.